'' *******************
'' *  PC_Debug_Test  *
'' *******************


CON

  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000                             ' external xtal is 5 MHz

  LF            = 10
  FF            = 12
  CR            = 13
  Space         = " "
  control_bit                   = %10001110
  average                       = 5

VAR

  long Stack[100]
  word ADC
  word ADC_addr
  long adc_value
     
OBJ

  input : "max_1202"

  delay : "Timing"

  debug : "pc_debug"
     
PUB main

    input.start(control_bit)
    debug.start(57_600)
    debug.str(string(FF,"ADC Value",Space,LF,CR))
  repeat
    input.get_count(control_bit) 
    debug.dec(@ADC_value)
    debug.str(string(CR))                                                                                 